cURL
curl --request GET \ --url https://api.dev.monei.cc/api/v1/bills/records/reference/{reference} \ --header 'X-API-KEY: <api-key>'
{ "statusCode": 123, "message": "<string>", "data": { "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedDate": "2023-11-07T05:31:56Z", "userId": "<string>", "reference": "<string>", "billerCode": "<string>", "itemCode": "<string>", "customer": "<string>", "amount": 123, "type": "AIRTIME", "status": "PENDING", "providerData": "<string>", "txRef": "<string>", "billerName": "<string>", "validityPeriod": "<string>", "metadata": "<string>", "token": "<string>", "units": "<string>" }, "errors": {} }
Retrieve a specific bill transaction using its unique reference. User can only access their own transactions.
Unique bill transaction reference
"BILL-REF-20240115-ABCD1234"
Successfully retrieved bill transaction
Bill payment fetched successfully
Show child attributes